#pragma once
#include "domain/program.h"
#include "domain/group.h"
#include <set>

namespace spin
{
    class IProgramDataProvider
    {
    public:
        virtual ~IProgramDataProvider() = default;
        virtual std::set<Program> programs() const = 0;
        virtual std::set<Group> groups() const = 0;
    };
} // namespace spin
